#include <tscope5.h>

int main()
{
	ts5_install_display();
	ts5_set_coordinate_system(TS5_DISPLAY_COORDINATES);
	
	// doet raar
	//ts5_set_drawing_thickness(0.5);
	
	double w, h;
	ts5_get_display_size(1, &w, &h);
		
	// some pixels
	int i, j;
	ts5_clear_display();
	for (i=0; i<=20; i++) {
		for (j=0; j<=20; j++) {
			ts5_draw_pixel(i*10.0, j*10.0);
		}		
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some lines
	ts5_clear_display();
	for (i=0; i<=h; i+=10) {
		ts5_draw_line(0.0, 0.0, w, (double)i);
	}
	for (i=0; i<=w; i+=10) {
		ts5_draw_line(0.0, 0.0, (double)i, h);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some rectangles
	ts5_clear_display();
	for (i=0; i<=40; i++) {
		ts5_draw_rectangle(0.0, 0.0, i*10.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some rounded rectangles
	ts5_clear_display();
	for (i=0; i<=40; i++) {
		ts5_draw_rounded_rectangle(0.0, 0.0, i*10.0, i*10.0, 10.0, 10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some triangles
	ts5_clear_display();
	for (i=0; i<=20; i++) {
		ts5_draw_triangle(0.0, 0.0, i*10.0, 0.0, 0.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some circles
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_circle(50.0, 5.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some ellipses
	ts5_clear_display();
	for (i=0; i<=10; i++) {
		ts5_draw_ellipse(50.0, 50.0, i*20.0, i*10.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	// some arcs
	// arc gaat in verkeerde richting
	for (i=0; i<=72; i++) {
		ts5_clear_display();
		ts5_draw_arc(100.0, 100.0, 100.0, i*10.0, 20.0);
		ts5_flip_display();
	}
	ts5_flip_display();
	ts5_draw_mouse_button(w - 50.0, h-50);
	
	return 0;
}
	
	
	