#include <tscope5.h>

int main()
{
	ts5_install_display();
	ts5_set_coordinate_system(TS5_DISPLAY_COORDINATES);
	ts5_set_text_alignment(TS5_ALIGN_LEFT);
	
	int i;
	double diff=0;

	ts5_printf(20.0, 20.0, "10 random integers with replacement (clock seed): ");
	for (i=0; i<10; i++) {
		diff += ts5_printf(20.0+diff, 40.0, "%d ", ts5_random_integer(10L));
	}

	diff=0;
	ts5_printf(20.0, 80.0, "10 random integers with replacement (seed=1234): ");
	ts5_seed_randomizer(1234L);
	for (i=0; i<10; i++) {
		diff += ts5_printf(20.0+diff, 100.0, "%d ", ts5_random_integer(10L));
	}

	diff=0;
	ts5_printf(20.0, 140.0, "10 random integers with replacement (seed=1234): ");
	ts5_seed_randomizer(1234L);
	for (i=0; i<10; i++) {
		diff += ts5_printf(20.0+diff, 160.0, "%d ", ts5_random_integer(10L));
	}

	double x = ts5_relative_to_absolute_coordinate_x(0.9);
	double y =  ts5_relative_to_absolute_coordinate_y(0.8);	
	ts5_draw_mouse_button(x, y);
	
	return 0;
}

