//////////////////////////////////////////////////////////////////////////////
/// \file parport.h
/// Declarations of parallel port functions
//////////////////////////////////////////////////////////////////////////////

#pragma once

int ts5_define_parport_key(int device, int key);
double ts5_set_parport_button_debounce_time(int device, double button_debounce_time);
double ts5_get_parport_button_debounce_time(int device);

void ts5_define_parport_trigger_input(int device);
void ts5_simulate_parport_trigger_input(int device, unsigned char value, double interval);
double ts5_set_parport_trigger_debounce_time(int device, double trigger_debounce_time);
double ts5_get_parport_trigger_debounce_time(int device);

void ts5_send_parport_trigger(int device, unsigned char value);
double ts5_set_parport_trigger_output_time(int device, double trigger_output_time);
double ts5_get_parport_trigger_output_time(int device);
