//////////////////////////////////////////////////////////////////////////////
/// \file parport_internal.h
/// Declarations of internal parallel port functions
//////////////////////////////////////////////////////////////////////////////

#pragma once

extern int  _ts5_is_parport_installed;

void ts5_check_parport(char *calling_function);

void ts5_install_parport(char *calling_function);
void ts5_uninstall_parport();

void ts5_set_parport_trigger_input(char *calling_function, int device);
void ts5_set_parport_trigger_output(char *calling_function, int device);

void *ts5_parport_threadfunc();

