//////////////////////////////////////////////////////////////////////////////
/// \file randomizer.h
/// Declarations of randomizer functions
//////////////////////////////////////////////////////////////////////////////

#pragma once

unsigned long int ts5_random_integer(const unsigned int max);
void ts5_random_list(const int nmax, const int freq, int *list);

double ts5_random_uniform();
double ts5_random_normal(double mu, double sigma);
double ts5_random_exponential(double mu);

unsigned long int ts5_seed_randomizer(const unsigned int seed);

