//////////////////////////////////////////////////////////////////////////////
/// \file serialport.h
/// Declarations of serial port functions
//////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"

//int ts5_define_serialport_key(int device, int key);
//double ts5_set_serialport_button_debounce_time(int device, double button_debounce_time);
//double ts5_get_serialport_button_debounce_time(int device);

// int ts5_set_serialport_baudrate(int baudrate);
// int ts5_set_serialport_bytesize(int bytesize);
// int ts5_set_serialport_parity(int parity);
// int ts5_set_serialport_stopbits(int stopbits);
// int ts5_set_serialport_fbinary(int fbinary);

// int ts5_set_serialport_readintervaltimeout(int readintervaltimeout);
// int ts5_set_serialport_readtotaltimeoutmultiplier(int readtotaltimeoutmultiplier);
// int ts5_set_serialport_readtotaltimeoutconstant(int readtotaltimeoutconstant);
// int ts5_set_serialport_writetotaltimeoutmultiplier(int writetotaltimeoutmultiplier);
// int ts5_set_serialport_writetotaltimeoutconstant(int writetotaltimeoutconstant);

int ts5_define_serialport_trigger_input(char *portname);
void ts5_simulate_serialport_trigger_input(int device, unsigned char value, double interval);

int ts5_define_serialport_trigger_output(char *portname);
void ts5_send_serialport_trigger(int device, unsigned char value);

TS5_SERIALPORT *ts5_get_serialport(int device);
