//////////////////////////////////////////////////////////////////////////////
/// \file cedrusbox_unittest.c
/// Unit tests of cedrusbox functions
//////////////////////////////////////////////////////////////////////////////

#include "../include/tscope/cedrusbox.h"

#include "../include/tscope/timer.h"

#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
/// cedrusbox unit tests.
///
//////////////////////////////////////////////////////////////////////////////
int main(void)
{
	ts5_define_cedrusbox_key(0, -1);
	ts5_define_cedrusbox_key(0, 2);
	ts5_define_cedrusbox_key(0, 3);
	ts5_define_cedrusbox_key(0, 4);
	ts5_define_cedrusbox_key(0, 5);
	ts5_define_cedrusbox_key(0, 6);
	ts5_define_cedrusbox_key(0, -7);
//	ts5_define_cedrusbox_key(1, 0);
//	ts5_define_cedrusbox_key(1, 1);
//	ts5_define_cedrusbox_key(1, 2);
//	ts5_define_cedrusbox_key(1, 3);
//	ts5_define_cedrusbox_key(1, 4);
//	ts5_define_cedrusbox_key(1, 5);
//	ts5_define_cedrusbox_key(1, 6);
//	ts5_print_status();

	double rt, err, max=100000.0;
	int resp;

	int i;
	for (i=0; i<5; i++) {
		resp = ts5_wait_for_response_timed(&rt, &err, max);
		printf("response %d %f %f\n", resp, rt, err);
	}
	return 0;
}
