//////////////////////////////////////////////////////////////////////////////
/// \file joystick_unittest.c
/// Unit tests of joystick functions
//////////////////////////////////////////////////////////////////////////////

#include "../include/tscope/joystick.h"

#include "../include/tscope/system.h"
#include "../include/tscope/timer.h"

#include <stdio.h>

//////////////////////////////////////////////////////////////////////////////
/// joystick unit tests.
///
//////////////////////////////////////////////////////////////////////////////
int main(void)
{


	// define the joystick as a response key
	ts5_define_joystick_key(0, 1);
	ts5_define_joystick_key(0, 2);
	ts5_define_joystick_key(0, 3);
//	ts5_define_joystick_key(0, 9);
	ts5_print_status();

	double rt, max=100000.0;
	int resp;
	while (1) {
		resp = ts5_wait_for_response_timed(&rt, NULL, max);
		printf("response %d %f\n", resp, rt);
	}
	return 0;
}
