#include <tscope5.h>

int main()
{
	ts5_install_display();
	ts5_set_coordinate_scale(TS5_RELATIVE_COORDINATES);
	
	
	// doet raar
	//ts5_set_drawing_thickness(0.5);
	
	double w, h;
	ts5_get_display_size(1, &w, &h);
	
	
	// some pixels
	double i, j;
	ts5_clear_display();
	for (i=-1.0; i<=1.0; i+=0.1) {
		for (j=-1.0; j<=1.0; j+=0.1) {
			ts5_draw_pixel(i, j);
		}		
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some lines
	ts5_clear_display();
	for (i=-1.0; i<=1.0; i+=0.1) {
		ts5_draw_line(0.0, 0.0, i, 1.0);
		ts5_draw_line(0.0, 0.0, i, -1.0);
		ts5_draw_line(0.0, 0.0, 1.0, i);
		ts5_draw_line(0.0, 0.0, -1.0, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some rectangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_rectangle(i, i, -i, -i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some rounded rectangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_rounded_rectangle(i, i, -i, -i, 0.1, 0.1);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some triangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_triangle(0.0, i, -i, -i/2.0, i, -i/2.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some circles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_circle(0.0, 0.0, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some ellipses
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_ellipse(0.0, 0.0, i, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// some arcs
	// arc gaat in verkeerde richting
	for (i=0; i<=72; i++) {
		ts5_clear_display();
		ts5_draw_arc(0.0, 0.0, 0.5, i*10.0, 20.0);
		ts5_flip_display();
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	return 0;
}
	
	
	